Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/tier-structures/{id}/tiers/{tierId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"tier_structure_id": "<string>",
"name": "<string>",
"downgrade": {
"type": "INHERIT"
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "tier",
"qualification_rules": {
"type": "POINTS",
"min_value": 1,
"max_value": 1,
"segment": {
"id": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Soft-deletes a tier. The tier must belong to the specified tier structure.
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/tier-structures/{id}/tiers/{tierId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"tier_structure_id": "<string>",
"name": "<string>",
"downgrade": {
"type": "INHERIT"
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "tier",
"qualification_rules": {
"type": "POINTS",
"min_value": 1,
"max_value": 1,
"segment": {
"id": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique tier structure identifier.
Unique tier identifier.
Deleted tier
A tier resource as returned by the API.
Unique tier identifier.
ID of the parent tier structure.
Display name.
200Show child attributes
Custom key-value metadata.
ISO 8601 creation timestamp.
Object type discriminator.
tier Rules determining how members qualify for this tier.
Show child attributes
ISO 8601 last-update timestamp.
Was this page helpful?